ToleranceSuppressLeadingZeros Example |
Using Programming Languages other than VBA
Sub Example_ToleranceSuppressLeadingZeros() ' This example creates an aligned dimension in model space and ' uses ToleranceSuppressLeadingZeros to toggle the display of leading zeros ' in the dimension tolerance display Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.01: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Enable and setup tolerance display dimObj.ToleranceDisplay = acTolSymmetrical dimObj.ToleranceLowerLimit = -0.0001: dimObj.ToleranceUpperLimit = 0.005 ThisDrawing.Application.ZoomAll
Toggle: Select Case MsgBox("Press OK to toggle the display of leading zeros in the dimension tolerance", vbOKCancel) Case vbOK ' Toggle the display of leading zeros for the dimension tolerance value dimObj.ToleranceSuppressLeadingZeros = Not (dimObj.ToleranceSuppressLeadingZeros) ThisDrawing.Regen acAllViewports Case vbCancel Exit Sub End Select GoTo Toggle End Sub
Comments? |